Package com.openmeet.shared.data.interest

# Class Interest

java.lang.Object
com.openmeet.shared.data.interest.Interest

All Implemented Interfaces:
  `IEntity`

public class Interest extends Object implements IEntity
This class represents the Interest Entity.

See Also:
  - `IEntity`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INTEREST`
  `static final String`
  `INTEREST_DESCRIPTION`
  `static final String`
  `INTEREST_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Interest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description of the Interest.
  `int`
  `getId()`
  Returns the id of the Interest.
  `void`
  `setDescription(String description)`
  Sets the description of the Interest.
  `void`
  `setId(int id)`
  Sets the id of the Interest.
  `HashMap<String,Object>`
  `toHashMap()`
  Returns the Interest as an hashMap.
  `HashMap<String,Object>`
  `toHashMap(String... fields)`
  Returns the Interest as an hashMap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INTEREST

    public static final String INTEREST
    See Also:
      - Constant Field Values

  - ### INTEREST_ID

    public static final String INTEREST_ID
    See Also:
      - Constant Field Values

  - ### INTEREST_DESCRIPTION

    public static final String INTEREST_DESCRIPTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Interest

    public Interest()

- ## Method Details

  - ### toHashMap

    public HashMap<String,Object> toHashMap()
    Returns the Interest as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Returns:
      the Interest as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,Object> toHashMap(String... fields)
    Returns the Interest as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Interest as an hashMap.
    See Also:
      - `IEntity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public int getId()
    Returns the id of the Interest.
    Returns:
      the id of the Interest.

  - ### setId

    public void setId(int id)
    Sets the id of the Interest.
    Parameters:
      `id` - the id of the Interest.

  - ### getDescription

    public String getDescription()
    Returns the description of the Interest.
    Returns:
      the description of the Interest.

  - ### setDescription

    public void setDescription(String description)
    Sets the description of the Interest.
    Parameters:
      `description` - the description of the Interest.